.faq {
    padding: rem(41) 0;
    background: $white;

    &__main {
        max-width: rem(720);
        margin: 0 auto;
    }

    @include media-breakpoint-up(md) {
        padding: rem(80) 0;

        &__heading {
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(130) 0 rem(120) 0;
    }
}

.faq-item {
    text-align: center;
    font-size: rem(12);
    line-height: rem(16);

    &:not(:last-child) {
        margin-bottom: rem(24);
    }

    &__header {
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(10);
    }

    &__content {
        font-weight: 500;
    }

    &__wrap {

        padding-bottom: rem(8);
    }

    &__toggle {
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(46);
        height: rem(46);
        display: block;
        margin: 0 auto;
        cursor: pointer;
        border-radius: 50%;
        background: $green;
        position: relative;

        &:after,
        &:before {
            content: '';
            width: 24px;
            height: 6px;
            background: $white;
            border-radius: 3px;
            position: absolute;
            top: calc(50% - 3px);
            left: calc(50% - 12px);
            transition: .3s;
        }

        &:after {
            transform: rotate(90deg);
        }
    }

    &.open {

        .faq-item__toggle {

            &:after {
                transform: rotate(360deg);
                transition: .3s;
            }

            &:before {
                transform: rotate(180deg);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        line-height: rem(24);

        &:not(:last-child) {
            margin-bottom: rem(28);
        }

        &__header {
            font-size: rem(20);
            line-height: rem(30);
            margin-bottom: rem(10);
        }

        &__content {

        }

        &__wrap {
            padding-bottom: rem(9);
        }
    }
}
